package cn.im.trafficdevice.dao;

import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("trafficroadinfoDao")
public class TrafficroadinfoDao  extends BaseSqlMapDAO {

	/**
	 * 增加记录
	 */	
	public void insert_Trafficroadinfo(Map map) throws SQLException{
		this.insert("insert_Trafficroadinfo",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Trafficroadinfo(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Trafficroadinfo",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Trafficroadinfo(Map map) throws SQLException{
		return this.update("update_Trafficroadinfo",map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Trafficroadinfo(Map map) throws SQLException{
		return this.delete("delete_Trafficroadinfo",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Trafficroadinfo(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Trafficroadinfo",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Trafficroadinfo(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Trafficroadinfo",map);
	}
	
	
	/**
	 * 查询列表记录
	 */	
	public List<Map> query_Trafficroadinfo(Map map) throws SQLException{
		return this.queryForPage("query_Trafficroadinfo",map);
	}
	
	/**
	 * 获取全部路段信息
	 * @return
	 * @throws SQLException
	 */
	public List<Map> getTrafficroadinfoAll() throws SQLException{
		return this.queryForList("getTrafficroadinfoAll",null);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Trafficroadinfo(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Trafficroadinfo",map);
	}
	
}
